<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

if(!iSUPERADMIN) {
	fallback("calendar.php");
}

require_once("include/common.php");


/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$need_admin_ok = (isset($_POST['need_admin_ok']) ? "1" : "0");
	$s_today_in_panel = (isset($_POST['show_today_in_panel']) ? "1" : "0");
	$s_birthday_in_panel = (isset($_POST['show_birthday_in_panel']) ? "1" : "0");
	$edit_group = $_POST['edit_group']+0;
	if(!$edit_group) {
		$edit_group = "103";
	}
	$post_group = $_POST['post_group']+0;
	if(!$post_group) {
		$edit_group = "101";
	}
	$b_group = $_POST['b_group']+0;

	$next_days = $_POST['next_days']+0;

	$ballon_w = $_POST['ballon_w']+0;
	$ballon_fg = stripinput($_POST['ballon_fg']);
	$ballon_bg = stripinput($_POST['ballon_bg']);

	$b_date_fmt = stripinput($_POST['b_date_fmt']);
	$date_fmt = stripinput($_POST['date_fmt']);
	$s_date_fmt = stripinput($_POST['sidedate_fmt']);

	$sun_first_dow = (isset($_POST['sun_first_dow']) ? "yes" : "no");

	$ok = dbquery("UPDATE ".DB_PREFIX."aw_ec_settings"
		." SET"
		." need_admin_ok='$need_admin_ok',"
		." show_today_in_panel='$s_today_in_panel',"
		." show_birthday_in_panel='$s_birthday_in_panel',"
		." edit_group='$edit_group',"
		." post_group='$post_group',"
		." show_birthday_to_group='$b_group',"
		." ballon_w='$ballon_w',"
		." ballon_fg='$ballon_fg',"
		." ballon_bg='$ballon_bg',"
		." birthdate_fmt='$b_date_fmt',"
		." next_days_in_panel='$next_days',"
		." sun_first_dow='$sun_first_dow',"
		." sidedate_fmt='$s_date_fmt',"
		." date_fmt='$date_fmt'");
	if($ok) {
		fallback(FUSION_SELF."?errno=0");
	}
}




/*
 * GUI
 */
opentable($locale['EC700']);
echo ec_get_menu();
echo "<div style='text-align:right;'><b>awEventCalendar "
	.$ec_settings['version']."</b></div>\n";

require_once("include/db_update.php");


if(isset($_GET['errno']) && isset($locale['EC717'][$_GET['errno']])) {
	echo "<p><strong>".$locale['EC717'][$_GET['errno']]."</strong>\n";
}



// all groups
$usergroups = getusergroups();
$sel_edit_group = "";
$sel_post_group = "";
$sel_b_group = "";
foreach($usergroups as $group) {
	$gid = $group[0];
	$gname = $group[1];

	$sel_b_group .= "<option value='$gid'"
		.($gid==$ec_settings['show_birthday_to_group']
			? " selected" : "").">$gname"
		."</option>";

	if(!$gid) {
		continue;
	}
	$sel_edit_group .= "<option value='$gid'"
		.($gid==$ec_settings['edit_group'] ? " selected" : "").">$gname"
		."</option>";
	$sel_post_group .= "<option value='$gid'"
		.($gid==$ec_settings['post_group'] ? " selected" : "").">$gname"
		."</option>";
}


//	$result_2 = dbquery("SELECT * FROM ".DB_PREFIX."kalender_settings");
//	$data_v = dbarray($result_2);

$query_id = dbquery("SELECT"
	." DATE_FORMAT(NOW(), '".$ec_settings['birthdate_fmt']."') AS b_date,"
	." DATE_FORMAT(NOW(), '".$ec_settings['date_fmt']."') AS date"
	);
$data = dbarray($query_id);
$b_sample_date = $data['b_date'];
$sample_date = $data['date'];

$s_sample_date = str_replace(array("%d","%m","%Y","%y"),
	array(date("d"), date("m"), date("Y"), date("y")),
	$ec_settings['sidedate_fmt']);



echo "<form method='POST' action='".FUSION_SELF."'>
<table width='100%'>
<tbody>
<tr>
	<td>".$locale['EC701'].":</td>
	<td><select name='edit_group' class='textbox'>"
		.$sel_edit_group."</select></td>
</tr>
<tr>
	<td>".$locale['EC703'].":</td>
	<td><select name='post_group' class='textbox'>"
		.$sel_post_group."</select></td>
</tr>
<tr>
	<td>".$locale['EC722'].":</td>
	<td><input type='text' name='next_days' class='textbox' size='4'"
		." value='".$ec_settings['next_days_in_panel']."'"
		." maxlength='3'></td>
</tr>
<tr>
	<td valign='top'>".$locale['EC706'].":</td>
	<td><select name='b_group' class='textbox'>"
		.$sel_b_group."</select><br>"
		."<input type='checkbox' name='show_birthday_in_panel'"
		.($ec_settings['show_birthday_in_panel'] ? " checked" : "")
		.">".$locale['EC705']."</td>
</tr>
<tr>
	<td valign='top'>".$locale['EC106'].":</td>
	<td><input type='checkbox' name='need_admin_ok'"
		.($ec_settings['need_admin_ok'] ? " checked" : "")
		.">".$locale['EC702']
		."<br>"
		."<input type='checkbox' name='show_today_in_panel'"
			.($ec_settings['show_today_in_panel'] ? " checked" : "")
			.">".$locale['EC704']
		."<br>"
		."<input type='checkbox' name='sun_first_dow'"
			.($ec_settings['sun_first_dow']=="yes" ? " checked" : "")
			.">".$locale['EC723']
	."</td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'>".$locale['EC707']."</td>
</tr>
<tr>
	<td>".$locale['EC708'].":</td>
	<td><input type='text' class='textbox' name='ballon_w'"
		." size='4' maxlength='3' value='".$ec_settings['ballon_w']."'>
	</td>
</tr>
<tr>
	<td>".$locale['EC709'].":</td>
	<td><input type='text' class='textbox' name='ballon_fg'"
		." size='8' maxlength='7' value='".$ec_settings['ballon_fg']."'>
	<span class='small2'>".$locale['EC714']."</span></td>
</tr>
<tr>
	<td>".$locale['EC710'].":</td>
	<td><input type='text' class='textbox' name='ballon_bg'"
		." size='8' maxlength='7' value='".$ec_settings['ballon_bg']."'>
	<span class='small2'>".$locale['EC714']."</span></td>
</tr>
<tr>
	<td class='forum-caption' colspan='2'>".$locale['EC711']."</td>
</tr>
<tr>
	<td>".$locale['EC712'].":</td>
	<td><input type='text' class='textbox' name='b_date_fmt'"
		." size='30' maxlength='50'"
		." value='".$ec_settings['birthdate_fmt']."'> "
		.$locale['EC720'].": $b_sample_date</td>
</tr>
<tr>
	<td>".$locale['EC713'].":</td>
	<td><input type='text' class='textbox' name='date_fmt'"
		." size='30' maxlength='50'"
		." value='".$ec_settings['date_fmt']."'> "
		.$locale['EC720'].": $sample_date</td>
</tr>
<tr>
	<td>".$locale['EC724'].":<br><span class='small2'>"
		.$locale['EC725']."</span></td>
	<td><input type='text' class='textbox' name='sidedate_fmt'"
		." size='30' maxlength='50'"
		." value='".$ec_settings['sidedate_fmt']."'> "
		.$locale['EC720'].": $s_sample_date</td>
</tr>
<tr>
	<td></td>
	<td><span class='small2'>".nl2br($locale['EC719'])."</span></td>
</tr>
<tr>
	<td class='forum-caption' colspan='2' align='center'>"
		."<input type='submit' value='".$locale['EC111']."'"
			." name='save' class='button'></td>
</tr>
</tbody>
</table>
</form>";
closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
