<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	header("Location:../../index.php");
	exit;
}

require_once(INFUSIONS."aw_ecal_panel/include/common.php");


?>
<!--<body onLoad='setBallon("BallonTip");'>-->
<div id="BallonTip"
	style="position:absolute; visibility:hidden; left:-200px; z-index: 100">
</div>
<?php

if(isset($body_text)) {
	$body_text = descript($body_text);
} else {
	$body_text = $ec_settings['ballon_fg'];
}
if(isset($body_bg)) {
	$body_bg = descript($body_bg);
} else {
	$body_bg = $ec_settings['ballon_bg'];
}

echo "
<script type='text/javascript' src='"
	.INFUSIONS."aw_ecal_panel/cross.js'></script>
<script type='text/javascript' src='"
	.INFUSIONS."aw_ecal_panel/tooltips.js'></script>";
echo "<script type='text/javascript'>
	setBallon(\"BallonTip\", \"".$ec_settings['ballon_w']."\","
		." \"$body_text\", \"$body_bg\");
</script>\n";


$bullet = "<img src=\"".THEME."images/bullet.gif\" alt=\"-\" border=\"0\">";


/*
 * GUI
 */
openside($locale['EC001']);

$from = array(
	"year"	=> $ec_year,
	"mon"	=> $ec_month,
	"mday"	=> 1,
);
$to = array(
	"year"	=> $ec_year,
	"mon"	=> $ec_month,
	"mday"	=> 31,
);
$events = array();
ec_get_events($ec_year, $ec_month, 0, $events, false);
$content = array();
for($i=1; $i<=31; ++$i) {
	$content[$i] = array(
		"style"	=> "awec_empty",
		"data"	=> $i,
	);
}
if(count($events)) {
	foreach($events[$ec_year][$ec_month] as $day => $more) {
		$btext = "";
		foreach($more as $ev_id => $day_data) {
			$title = $day_data['ev_title'];
			$btext .= $bullet." $title<br>";
		}
		$btext = phpentities($btext);
		$btitle = phpentities("<b>$day. ".$locale['EC900'][$ec_month]."</b>");
		$content[$day] = array(
			"style"	=> "awec_content",
			"data"	=> "<a href='".INFUSIONS."aw_ecal_panel/day.php"
				."?y=$ec_year&amp;m=$ec_month&amp;d=$day'"
				." onMouseOver=\"return showBallon('$btitle', '$btext');\""
				." onMouseOut='return hideBallon();'>$day</a>",
		);
	}
}
if($ec_is_this_month) {
	$content[$ec_today['mday']]['style'] = "awec_current";
}


$pyear = $ec_year;
$nyear = $ec_year;
$pmonth = $ec_month-1;
$nmonth = $ec_month+1;
if($pmonth<1) {
	$pmonth = 12;
	$pyear = $ec_year-1;
} elseif($nmonth>12) {
	$nmonth = 1;
	$nyear = $ec_year+1;
}

$path = INFUSIONS."aw_ecal_panel";

$href = FUSION_SELF;
unset($_GET['y']);
unset($_GET['m']);
$gets = array();
foreach($_GET as $key => $val) {
	$gets[] = "$key=$val";
}

$href = FUSION_SELF."?".(count($gets) ? implode("&amp;", $gets)."&amp;" : "");
$title = "
<a href='".$href."y=$pyear&amp;m=$pmonth'><img src='".THEME
	."images/left.gif' alt='&lt;' border='0'></a>
<a href='$path/calendar.php?y=$ec_year&amp;m=$ec_month'>"
	.$locale['EC900'][$ec_month]." $ec_year</a>
<a href='".$href."y=$nyear&amp;m=$nmonth'><img src='".THEME
	."images/right.gif' alt='&gt;' border='0'></a>\n";
ec_render_cal($ec_month, $ec_year, $title, $content,
	"right", "bottom", 0, false, $ec_settings['sun_first_dow']=="yes");


/*
 *
 */
if(iMEMBER) {
	if(iEC_ADMIN || ec_check_access($ec_settings['post_group'])) {
		echo $bullet." <a href='$path/edit_event.php' class='side'>"
			.$locale['EC200']."</a><br>\n";
	}
	echo $bullet." <a href='$path/my_events.php' class='side'>"
		.$locale['EC204']."</a><br>\n";
	echo $bullet." <a href='$path/my_logins.php' class='side'>"
		.$locale['EC206']."</a><br>\n";
	if(iSUPERADMIN) {
		echo $bullet." <a href='$path/admin.php' class='side'>"
			.$locale['EC700']."</a><br>\n";
	}
}



if(iEC_ADMIN) {
	if(dbcount("(*)", "aw_ec_events", "(ev_status!='0')")) {
		echo "<p><div align='center'><b><a href='$path/new_events.php'"
			." class='side'>".$locale['EC203']."</a></b></div>\n";
	}
}


/*
 * show next x days
 */
if($ec_settings['next_days_in_panel']) {
	$from_time = time();
	$to_time = $from_time+($ec_settings['next_days_in_panel']-1)*60*60*24;
	$from = getdate($from_time);
	$to = getdate($to_time);

	$m = $from['mon'];
	$y = $from['year'];
	$path = INFUSIONS."aw_ecal_panel/view_event.php?id";

	echo "<p><b>".str_replace("%s", $ec_settings['next_days_in_panel'],
		$locale['EC208'])."</b><br>\n";

	// collect events
	$events = array();
	while(true) {
		ec_get_events($y, $m, 0, $events, false);
		if($y==$to['year'] && $m==$to['mon']) {
			break;
		}
		if(++$m==13) {
			$m = 1;
			$y++;
		}
	}

//echo "<pre>"; print_r($events); echo "</pre>";
	$search = array("%d", "%m", "%Y", "%y");

	// output
	$count = 0;
	$show_details = $ec_settings['show_today_in_panel'] ? true : false;
	foreach($events as $year => $y_data) {
		ksort($y_data, SORT_NUMERIC);
		foreach($y_data as $month => $m_data) {
			ksort($m_data, SORT_NUMERIC);
			foreach($m_data as $mday => $d_data) {
				if($year==$to['year']
					&& $month==$to['mon']
					&& $mday>$to['mday']) {
						break;
				}
				if($year==$from['year']
					&& $month==$from['mon']
					&& $mday<$from['mday']) {
						continue;
				}
				foreach($d_data as $ev_id => $ev) {
					$replace = array($mday, $month, $year, $year);
					++$count;
					echo "$bullet "
						.str_replace($search, $replace,
							$ec_settings['sidedate_fmt'])
						."<a href='$path=$ev_id'>"
						.$ev['ev_title']."</a><br>\n";
					if($show_details && $year==$from['year']
						&& $month==$from['mon']
						&& $mday==$from['mday']) {
						$body = parseubb($ev['ev_body']);
						$body = explode(EC_BREAK, $body);
						if(count($body)>1) {
							$body[0] .= " <a href='$path=$ev_id'"
							." class='side'>"
							.$locale['EC207']."</a>";
						}
						echo "<span class='small2'>".$body[0]."</span><br>\n";
					}
				}
			}
		}
	}

	if(!$count) {
		echo "$bullet <span class='small2'>".$locale['EC004']."</span>";
	}
}


/*
 * birthday
 */
if($ec_settings['show_birthday_in_panel']
	&& ec_check_access($ec_settings['show_birthday_to_group'])) {

	$query_id = dbquery("SELECT user_name, user_birthdate, user_id,"
		." user_avatar"
		." FROM ".DB_PREFIX."users"
		." WHERE MONTH(user_birthdate)='".date("n")."'"
		." AND DAYOFMONTH(user_birthdate)='".date("j")."'");
	if(dbrows($query_id)) {
		$path = INFUSIONS."aw_ecal_panel";
		echo "<p><img src='$path/icons/birthday.gif'"
			." alt='' align='bottom'> "
			."<b>".$locale['EC205'].":</b>";
//		echo "<div align='center'>";
		echo "<table border='0' width='100%'>\n";
		while($data = dbarray($query_id)) {
			if(empty($data['user_avatar'])) {
				$img = INFUSIONS."aw_ecal_panel/icons/noav.gif";
			} else {
				$img = BASEDIR."images/avatars/"
					.$data['user_avatar'];
			}
			echo "<tr><td width='1%'><img src='$img' alt='AVATAR' height='50'"
				." width='50'></td>"
				."<td><a href='".BASEDIR."profile.php?lookup="
					.$data['user_id']."' class='side'>"
					.$data['user_name']."</a></td></tr>\n";
			/*
			echo "<p><a href='".BASEDIR."profile.php?lookup="
				.$data['user_id']."' class='side'>"
				."<img src='$img' alt='AVATAR' height='50' width='50'><br>"
				.$data['user_name']."</a>\n";
			*/
		}
		echo "</table>\n";
//		echo "</div>\n";
	}
}


closeside();
?>
