<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Events";
$locale['EC002'] = "Notice";
$locale['EC003'] = "Warning";
$locale['EC004'] = "None";
$locale['EC005'] = "About...";
$locale['EC006'] = "Sure you want to delete?";
$locale['EC007'] = "My";
$locale['EC008'] = "Registrations";
$locale['EC009'] = "Month";
$locale['EC010'] = "Year";
$locale['EC011'] = "Search";
//
$locale['EC013'] = "New Events";


// edit_event.php
$locale['EC100'] = "New Event";
$locale['EC101'] = "Edit Event";
$locale['EC102'] = "To Event";
$locale['EC103'] = "Title";
$locale['EC104'] = "Description";
$locale['EC105'] = "Begin";
$locale['EC106'] = "Options";
$locale['EC107'] = "Repeat";
$locale['EC108'] = "Private event";
$locale['EC109'] = "Allow registrations to event";
$locale['EC110'] = "Maximum registrations (0 means infinite)";
$locale['EC110_1'] = "0 for infinite";
$locale['EC111'] = "Save";
$locale['EC112'] = "Deactivate smileys";
$locale['EC113'] = array(
	0		=> "Event successfully updated!",
	EC_ELOGIN	=> "No registrations for private events allowed.",
	EC_EDB		=> "Error while updating database.",
	EC_ESTATUS	=> "This event has to be released by an admin.",
	EC_EACCESS	=> "No access limits for private events allowed.",
	EC_EIMG		=> "Invadid picture upload.",
	EC_EDATE	=> "Invalid date",
);
$locale['EC114'] = "Registrations for this event not possible.";
$locale['EC115'] = array(
	1 => "Maximum number of registrations reached.",
	2 => "Invalid status value.",
	3 => "Could not update status of registration.",
	4 => "No receiver specified.",
);
$locale['EC116'] = "Access";
//$locale['EC117'] = "";
$locale['EC118'] = "* mandatory fields<br>"
	. "** The text after <code>".EC_BREAK."</code>, won't appear in the side panel. This way you can avoid overfilled side panel.";
$locale['EC119'] = "Please fill out all mandatory fields (*)!";
$locale['EC120'] = "Format: Day.Month.Year Hour:Minutes";
$locale['EC121'] = "Picture";
$locale['EC122'] = "Misc";
$locale['EC123'] = "End";
$locale['EC124'] = "Allow registrations only in this time period.";
$locale['EC125'] = array(
	0 => "---",
	1 => "Yearly",
	2 => "Monthly",
	4 => "Weekly",
);


// aw_ecal_panel.php
$locale['EC200'] = "Submit New Event";
$locale['EC201'] = "Today";
$locale['EC202'] = "Tomorrow";
$locale['EC203'] = "New Events need to be checked!.";
$locale['EC204'] = "My Events";
$locale['EC205'] = "Birthday(s)";
$locale['EC206'] = "My Registrations";
$locale['EC207'] = "[more]";
$locale['EC208'] = "Next %s days";


// view_event.php
$locale['EC300'] = "Event";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Warning! User not in the database.";
$locale['EC303'] = "Unknown";
$locale['EC304'] = "Edit";
$locale['EC305'] = "Delete";
$locale['EC306'] = "Publish";
$locale['EC307'] = "Deaktivate";
//EC308
$locale['EC309'] = array(
	0 => "Not subscribed to this event.",
	1 => "Definitely agreed.",
	2 => "Preliminary agreed.",
	3 => "Canceled",
	4 => "Invited",
);
$locale['EC310'] = array(
	1 => "Agree definitely",
	2 => "Agree preliminary",
	3 => "Cancel",
);
$locale['EC311'] = "Current status:";
$locale['EC312'] = "Comment";
$locale['EC313'] = "Send E-Mail";
$locale['EC314'] = "Send an e-mail to each";
$locale['EC315'] = "Send one e-mail to all";
$locale['EC316'] = "Send";
$locale['EC317'] = "Some description would be fine. Thx!";
$locale['EC318'] = "No receivers specified. Please change this!";
$locale['EC319'] = "All";
$locale['EC320'] = "E-mail(s) have been sent!";
$locale['EC321'] = "HTML-Format";
$locale['EC322'] = "Invite";
$locale['EC323'] = "Use CTRL-/SHIFT to select multiple users";


// calendar.php
$locale['EC400'] = "Calendar";
$locale['EC401'] = "Birthdays in this month";
$locale['EC402'] = "View";
$locale['EC403'] = "Calendar";
$locale['EC404'] = "List";


// browse.php
$locale['EC450'] = "Year";
$locale['EC451'] = "Show";


// new_events.php
$locale['EC500'] = "New Events";
$locale['EC501'] = "No new events to check.";
$locale['EC502'] = array(
	1 => "Could not publish event, since it was altered meanwhile. Please check it again!",
);


// search.php
$locale['EC550'] = "Search for";
$locale['EC551'] = array(
	"AND"	=> "AND",
	"OR"	=> "OR",
	"-"	=> "No",
);
$locale['EC552'] = "Events found.";
$locale['EC553'] = "Options";
$locale['EC554'] = "Your search should be 3 letters in size at least";


// my_events.php
$locale['EC600'] = "My Events";
$locale['EC601'] = "No events submitted yet.";
$locale['EC602'] = array(
	0	=> "Others",
	1	=> "Private",
);


// admin.php
$locale['EC700'] = "Settings";
$locale['EC701'] = "Admin-Group";
$locale['EC702'] = "Check new events by the Admin-Group";
$locale['EC703'] = "Submit events by";
$locale['EC704'] = "Show description of today's events in the side panel.";
$locale['EC705'] = "Show birthdays in side panel.";
$locale['EC706'] = "Show birthdays to";
$locale['EC707'] = "Balloon";
$locale['EC708'] = "Width in Pixels";
$locale['EC709'] = "Foreground";
$locale['EC710'] = "Background";
$locale['EC711'] = "Date Format";
$locale['EC712'] = "Birthdays";
$locale['EC713'] = "Standard";
$locale['EC714'] = "Only used when not specified by theme.";
$locale['EC715'] = "Delete Events";
$locale['EC716'] = "Delete all events older than specified number of days. Repeated events will not be deleted!";
$locale['EC717'] = array(
	0	=> "Saved",
	1	=> "Old events deleted!",
);
$locale['EC718'] = "events will be deleted";
$locale['EC719'] = "%d - Day of the month, numeric (00..31)
%m - Month, numeric (00..12)
%Y - Year, numeric, four digits
More information about format of the function DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Here</a>";
$locale['EC720'] = "Preview";
$locale['EC721'] = "Days";
$locale['EC722'] = "Next days in side panel";
$locale['EC723'] = "Week starts on sunday";
$locale['EC724'] = "Side-Panel";
$locale['EC725'] = "Only %d, %m, %y, %Y available";

// admin/misc.php
$locale['EC750'] = "Misc";

// include/db_update.php
$locale['EC800'] = "Update available";
$locale['EC801'] = "The following SQL-Statements will be executed";
$locale['EC802'] = "Start Update...";
//
$locale['EC804'] = "Done - Proceed!";
$locale['EC805'] = "OK";
$locale['EC806'] = "Error";


// others
$locale['EC900'] = array(
	0 => "December",
	1 => "January",
	2 => "February",
	3 => "March",
	4 => "April",
	5 => "May",
	6 => "June",
	7 => "July",
	8 => "August",
	9 => "September",
	10 => "October",
	11 => "November",
	12 => "December",
);
$locale['EC901'] = array(
	0 => "Su",
	1 => "Mo",
	2 => "Tu",
	3 => "We",
	4 => "Th",
	5 => "Fr",
	6 => "Sa",
	7 => "Su",
);
?>
