<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   Norwegian translation by Hkon Sigland                                *
 *   sigland@gmail.com                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
$locale['EC000'] = "awEventCal";
$locale['EC001'] = "Hendelser";
$locale['EC002'] = "Anmerkning";
$locale['EC003'] = "Advarsel";
$locale['EC004'] = "Ingen";
$locale['EC005'] = "Om...";
$locale['EC006'] = "Vil du slette?";
$locale['EC007'] = "Mine";
$locale['EC008'] = "Registreringer";
$locale['EC009'] = "Mned";
$locale['EC010'] = "r";
$locale['EC011'] = "Sk";
//
$locale['EC013'] = "Nye hendelser";


// edit_event.php
$locale['EC100'] = "Ny hendelse";
$locale['EC101'] = "Rediger hendelse";
$locale['EC102'] = "Til hendelser";
$locale['EC103'] = "Tittel";
$locale['EC104'] = "Beskrivelse";
$locale['EC105'] = "Starter";
$locale['EC106'] = "Valg";
$locale['EC107'] = "Gjenta";
$locale['EC108'] = "Privat hendelse";
$locale['EC109'] = "Tillat pmelding til hendelse";
$locale['EC110'] = "Max antall pmeldinger (0 for uendelig)";
$locale['EC110_1'] = "0 for uendelig";
$locale['EC111'] = "Lagre";
$locale['EC112'] = "Deaktiver smileys";
$locale['EC113'] = array(
	0		=> "Hendelsen er opprettet!",
	EC_ELOGIN	=> "Pmelding til private hendelser er ikke tillatt.",
	EC_EDB		=> "Feil ved oppdatering av database.",
	EC_ESTATUS	=> "Denne hendelsen m godkjennes av en administrator.",
	EC_EACCESS	=> "For private hendelser kan adgangsniv ikke defineres.",
	EC_EIMG		=> "Ugyldig bildeopplasting.",
	EC_EDATE	=> "Ugyldig dato",
);
$locale['EC114'] = "Pmelding til denne hendelsen er ikke mulig.";
$locale['EC115'] = array(
	1 => "Maksimalt antall pmeldinger er oppndd.",
	2 => "Ugyldig verdi i status.",
	3 => "Kunne ikke oppdatere status for pmelding.",
	4 => "Ingen mottager definert.",
);
$locale['EC116'] = "Tilgang";
//$locale['EC117'] = "";
$locale['EC118'] = "* ndvendige felt<br>"
	. "** Teksten etter <code>".EC_BREAK."</code>, blir ikke vist i sideelementet. P den mten unngr du et overfylt sideelement.";
$locale['EC119'] = "Vennligst fyll ut alle ndvendige felt (*)!";
$locale['EC120'] = "Format: Dag.Mned.r Time:Minutter";
$locale['EC121'] = "Bilde";
$locale['EC122'] = "Annet";
$locale['EC123'] = "Slutt";
$locale['EC124'] = "Tillat kun registreringer i denne tidsperiode.";
$locale['EC125'] = array(
	0 => "---",
	1 => "rlig",
	2 => "Mnedlig",
	4 => "Ukentlig",
);


// aw_ecal_panel.php
$locale['EC200'] = "Opprett ny hendelse";
$locale['EC201'] = "I dag";
$locale['EC202'] = "I morgen";
$locale['EC203'] = "Nye hendelser skal frst godkjennes.";
$locale['EC204'] = "Mine hendelser";
$locale['EC205'] = "Fdselsdager";
$locale['EC206'] = "Mine pmeldinger";
$locale['EC207'] = "[mer]";
$locale['EC208'] = "Neste %s dager";


// show_event.php
$locale['EC300'] = "Hendelse";
$locale['EC301'] = $locale['EC113'][3];
$locale['EC302'] = "Advarsel! Bruker er ikke i databasen.";
$locale['EC303'] = "Ukjent";
$locale['EC304'] = "Rediger";
$locale['EC305'] = "Slett";
$locale['EC306'] = "Publiser";
$locale['EC307'] = "Deaktiver";
//EC308
$locale['EC309'] = array(
	0 => "Du er ikke pmeldt til denne hendelsen.",
	1 => "Bekreftet pmeldt",
	2 => "Forelpig pmeldt",
	3 => "Avmeldt",
	4 => "Invitert",
);
$locale['EC310'] = array(
	1 => "Bekreftet pmeldt",
	2 => "Forelpig pmeldt",
	3 => "Meld av",
);
$locale['EC311'] = "Din status:";
$locale['EC312'] = "Kommentar";
$locale['EC313'] = "Send mail";
$locale['EC314'] = "Send mail enkeltvis";
$locale['EC315'] = "Send mail til alle";
$locale['EC316'] = "Send";
$locale['EC317'] = "Noe innholdstekst ville vre fint. Takk!";
$locale['EC318'] = "Ingen mottakere valgt. Vennligst rett det opp!";
$locale['EC319'] = "Alle";
$locale['EC320'] = "Sendt mail!";
$locale['EC321'] = "HTML-format";
$locale['EC322'] = "Inviter";
$locale['EC323'] = "Benytt CTRL-/SHIFT for  velge flere brukere";


// calendar.php
$locale['EC400'] = "Kalender";
$locale['EC401'] = "Fdselsdager denne mneden";
$locale['EC402'] = "Se";
$locale['EC403'] = "Kalender";
$locale['EC404'] = "Liste";


// browse.php
$locale['EC450'] = "r";
$locale['EC451'] = "Vis";


// new_events.php
$locale['EC500'] = "Nye hendelser";
$locale['EC501'] = "Ingen nye hendelser til godkjenning.";
$locale['EC502'] = array(
	1 => "Hendelsen kunne ikke publiseres da den i mellomtiden var blitt endret. Vennligst se igjennom den pnytt!",
);


// search.php
$locale['EC550'] = "Sk etter";
$locale['EC551'] = array(
	"AND"	=> "OG",
	"OR"	=> "ELLER",
	"-"	=> "Ingen",
);
$locale['EC552'] = "Hendelser funnet.";
$locale['EC553'] = "Valg";
$locale['EC554'] = "Sketeksten skal vre p minst 3 bokstaver";


// my_events.php
$locale['EC600'] = "Mine hendelser";
$locale['EC601'] = "Ingen hendelser opprettet enn.";
$locale['EC602'] = array(
	0	=> "Andre",
	1	=> "Privat",
);


// admin.php
$locale['EC700'] = "Innstillinger";
$locale['EC701'] = "Administratorgruppe";
$locale['EC702'] = "Godkjenning av nye hendelser av administratorgruppen";
$locale['EC703'] = "Postgruppe";
$locale['EC704'] = "Vis dagens hendelser fullt ut i sidepanelet.";
$locale['EC705'] = "Vis fdselsdager i sidepanelet.";
$locale['EC706'] = "Fdselsdager";
$locale['EC707'] = "Ballong";
$locale['EC708'] = "Bredde i pixler";
$locale['EC709'] = "Forgrunn";
$locale['EC710'] = "Bakgrunn";
$locale['EC711'] = "Datoformat";
$locale['EC712'] = "Fdselsdager";
$locale['EC713'] = "Standard";
$locale['EC714'] = "Brukes kun nr det ikke er spesifisert i temaet.";
$locale['EC715'] = "Slett hendelser";
$locale['EC716'] = "Slett alle hendelser eldre enn det oppgitte antatl dager. Gjentatte hendelser vil ikke bli slettet!";
$locale['EC717'] = array(
	0	=> "Skjult",
	1	=> "Gamle hendelser slettet!",
);
$locale['EC718'] = "Hendelser vil bli slettet";
$locale['EC719'] = "%d - Dag i mneden, numerisk (00..31)
%m - Mned, numerisk (00..12)
%Y - r, numerisk, fire tegn
F mer informasjon om formatering med funksjonen DATE_FORMAT: <a href='http://dev.mysql.com/doc/refman/4.1/en/date-and-time-functions.html#id3022503' target='_blank'>Her</a>";
$locale['EC720'] = "Se";
$locale['EC721'] = "Dager";
$locale['EC722'] = "Neste dager i sidepanelet";
$locale['EC723'] = "FIXME: ENGLISH: Week starts on sunday";
$locale['EC724'] = "FIXME: ENGLISH: Side-Panel";
$locale['EC725'] = "FIXME: ENGLISH: Only %d, %m, %y, %Y available";

// admin/misc.php
$locale['EC750'] = "Diverse";

// include/db_update.php
$locale['EC800'] = "Oppdatering tilgjengelig";
$locale['EC801'] = "Flgende SQL-kommandoer vil bli udfrt";
$locale['EC802'] = "Start oppdatering ...";
//
$locale['EC804'] = "Ferdig - Fortsett!";
$locale['EC805'] = "OK";
$locale['EC806'] = "Feil";


// others
$locale['EC900'] = array(
	0 => "desember",
	1 => "januar",
	2 => "februar",
	3 => "mars",
	4 => "april",
	5 => "mai",
	6 => "juni",
	7 => "juli",
	8 => "august",
	9 => "september",
	10 => "oktober",
	11 => "november",
	12 => "desember",
);
$locale['EC901'] = array(
	0 => "S",
	1 => "Ma",
	2 => "Ti",
	3 => "On",
	4 => "To",
	5 => "Fr",
	6 => "L",
	7 => "S",
);
?>
