<?php
/***************************************************************************
 *   awEventCalendar                                                       *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";


require_once("include/common.php");

if(!iMEMBER) {
	fallback("calendar.php");
}


/*
 * GUI
 */
$query_id = dbquery("SELECT ev.ev_title, ev.ev_id, logins.login_status,"
	." DATE_FORMAT(ev_start, '".$ec_settings['date_fmt']."') AS start"
	." FROM ".DB_PREFIX."aw_ec_logins AS logins"
	." LEFT JOIN ".DB_PREFIX."aw_ec_events AS ev USING(ev_id)"
	." WHERE logins.user_id='".$userdata['user_id']."'"
	." ORDER BY ev_start ASC");
opentable($locale['EC206']);
echo ec_get_menu();
if(dbrows($query_id)) {
	echo "<ul>\n";
	while($ev = dbarray($query_id)) {
		echo "<li>".$ev['start']
			." <a href='view_event.php?id=".$ev['ev_id']."'>"
			.$ev['ev_title']."</a> ("
			.$locale['EC309'][$ev['login_status']]
			.")</li>\n";
	}
	echo "</ul>\n";
} else {
	echo "<p>".$locale['EC601'];
}
closetable();


require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>
